// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.33.0
// 	protoc        v3.19.6
// source: pkg/infrapod/infrapod.proto

package infrapod

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type InfrapodDNSConfig struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Mzid string `protobuf:"bytes,1,opt,name=mzid,proto3" json:"mzid,omitempty"`
	Ipv4 string `protobuf:"bytes,2,opt,name=ipv4,proto3" json:"ipv4,omitempty"`
	Mac  string `protobuf:"bytes,3,opt,name=mac,proto3" json:"mac,omitempty"`
}

func (x *InfrapodDNSConfig) Reset() {
	*x = InfrapodDNSConfig{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_infrapod_infrapod_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *InfrapodDNSConfig) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*InfrapodDNSConfig) ProtoMessage() {}

func (x *InfrapodDNSConfig) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_infrapod_infrapod_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use InfrapodDNSConfig.ProtoReflect.Descriptor instead.
func (*InfrapodDNSConfig) Descriptor() ([]byte, []int) {
	return file_pkg_infrapod_infrapod_proto_rawDescGZIP(), []int{0}
}

func (x *InfrapodDNSConfig) GetMzid() string {
	if x != nil {
		return x.Mzid
	}
	return ""
}

func (x *InfrapodDNSConfig) GetIpv4() string {
	if x != nil {
		return x.Ipv4
	}
	return ""
}

func (x *InfrapodDNSConfig) GetMac() string {
	if x != nil {
		return x.Mac
	}
	return ""
}

var File_pkg_infrapod_infrapod_proto protoreflect.FileDescriptor

var file_pkg_infrapod_infrapod_proto_rawDesc = []byte{
	0x0a, 0x1b, 0x70, 0x6b, 0x67, 0x2f, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x70, 0x6f, 0x64, 0x2f, 0x69,
	0x6e, 0x66, 0x72, 0x61, 0x70, 0x6f, 0x64, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x08, 0x69,
	0x6e, 0x66, 0x72, 0x61, 0x70, 0x6f, 0x64, 0x22, 0x4d, 0x0a, 0x11, 0x49, 0x6e, 0x66, 0x72, 0x61,
	0x70, 0x6f, 0x64, 0x44, 0x4e, 0x53, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x12, 0x12, 0x0a, 0x04,
	0x6d, 0x7a, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6d, 0x7a, 0x69, 0x64,
	0x12, 0x12, 0x0a, 0x04, 0x69, 0x70, 0x76, 0x34, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04,
	0x69, 0x70, 0x76, 0x34, 0x12, 0x10, 0x0a, 0x03, 0x6d, 0x61, 0x63, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x03, 0x6d, 0x61, 0x63, 0x42, 0x38, 0x5a, 0x36, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62,
	0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x6d, 0x65, 0x72, 0x67, 0x65, 0x74, 0x62, 0x2f, 0x66, 0x61, 0x63,
	0x69, 0x6c, 0x69, 0x74, 0x79, 0x2f, 0x6d, 0x61, 0x72, 0x73, 0x2f, 0x70, 0x6b, 0x67, 0x2f, 0x69,
	0x6e, 0x66, 0x72, 0x61, 0x70, 0x6f, 0x64, 0x3b, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x70, 0x6f, 0x64,
	0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_pkg_infrapod_infrapod_proto_rawDescOnce sync.Once
	file_pkg_infrapod_infrapod_proto_rawDescData = file_pkg_infrapod_infrapod_proto_rawDesc
)

func file_pkg_infrapod_infrapod_proto_rawDescGZIP() []byte {
	file_pkg_infrapod_infrapod_proto_rawDescOnce.Do(func() {
		file_pkg_infrapod_infrapod_proto_rawDescData = protoimpl.X.CompressGZIP(file_pkg_infrapod_infrapod_proto_rawDescData)
	})
	return file_pkg_infrapod_infrapod_proto_rawDescData
}

var file_pkg_infrapod_infrapod_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_pkg_infrapod_infrapod_proto_goTypes = []interface{}{
	(*InfrapodDNSConfig)(nil), // 0: infrapod.InfrapodDNSConfig
}
var file_pkg_infrapod_infrapod_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_pkg_infrapod_infrapod_proto_init() }
func file_pkg_infrapod_infrapod_proto_init() {
	if File_pkg_infrapod_infrapod_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_pkg_infrapod_infrapod_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*InfrapodDNSConfig); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_pkg_infrapod_infrapod_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_pkg_infrapod_infrapod_proto_goTypes,
		DependencyIndexes: file_pkg_infrapod_infrapod_proto_depIdxs,
		MessageInfos:      file_pkg_infrapod_infrapod_proto_msgTypes,
	}.Build()
	File_pkg_infrapod_infrapod_proto = out.File
	file_pkg_infrapod_infrapod_proto_rawDesc = nil
	file_pkg_infrapod_infrapod_proto_goTypes = nil
	file_pkg_infrapod_infrapod_proto_depIdxs = nil
}
